Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.objects.PDFDictionaryArray Class Reference
Inheritance diagram for com.foxit.sdk.pdf.objects.PDFDictionaryArray:

## Public Member Functions
boolean | add (PDFDictionary newElement)
| Add an element at the tail. Potentially growing the array. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | find (PDFDictionary data, int iStart)
| Find an element from specified position to last. More...
PDFDictionary | getAt (int nIndex)
| This method retrieves an element specified by an index number. More...
int | getSize ()
| Get the number of elements in the array. More...
int | getUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
void | removeAll ()
| Clean up the array. More...
boolean | removeAt (int nIndex, int nCount)
| Remove a number of elements at specified position. More...
boolean | setAt (int nIndex, PDFDictionary newElement)
| This method overwrites an element specified by an index number. More...
boolean | setAtGrow (int nIndex, PDFDictionary newElement)
| Set an element value at specified position. Potentially growing the array. More...
boolean | setSize (int nNewSize, int nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

This class represents an array of com.foxit.sdk.pdf.objects.PDFDictionary objects.

## Member Function Documentation

## ◆ add()

boolean com.foxit.sdk.pdf.objects.PDFDictionaryArray.add | ( | PDFDictionary | newElement | ) |

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ delete()

synchronized void com.foxit.sdk.pdf.objects.PDFDictionaryArray.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.fxcrt.BasicArray.

## ◆ find()

int com.foxit.sdk.pdf.objects.PDFDictionaryArray.find | ( | PDFDictionary | data,
|  | int | iStart
| ) |  |

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ getAt()

PDFDictionary com.foxit.sdk.pdf.objects.PDFDictionaryArray.getAt | ( | int | nIndex | ) |

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ getSize()

int com.foxit.sdk.pdf.objects.PDFDictionaryArray.getSize | ( |  | ) |

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ getUpperBound()

int com.foxit.sdk.pdf.objects.PDFDictionaryArray.getUpperBound | ( |  | ) |

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ removeAll()

void com.foxit.sdk.pdf.objects.PDFDictionaryArray.removeAll | ( |  | ) |

Clean up the array.

Returns
  None.

## ◆ removeAt()

boolean com.foxit.sdk.pdf.objects.PDFDictionaryArray.removeAt | ( | int | nIndex,
|  | int | nCount
| ) |  |

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ setAt()

boolean com.foxit.sdk.pdf.objects.PDFDictionaryArray.setAt | ( | int | nIndex,
|  | PDFDictionary | newElement
| ) |  |

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ setAtGrow()

boolean com.foxit.sdk.pdf.objects.PDFDictionaryArray.setAtGrow | ( | int | nIndex,
|  | PDFDictionary | newElement
| ) |  |

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ setSize()

boolean com.foxit.sdk.pdf.objects.PDFDictionaryArray.setSize | ( | int | nNewSize,
|  | int | nGrowBy
| ) |  |

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).